> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meeamitech.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User

> Creates a new user



## OpenAPI

````yaml POST /auth/v1/users
openapi: 3.1.0
info:
  title: OpenAPI Developer Portal
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api-dev.meeamitech.com
security:
  - bearerAuth: []
paths:
  /auth/v1/users:
    post:
      description: Creates a new user
      requestBody:
        description: Plant to add to the store
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/User'
        required: true
      responses:
        '200':
          description: User is created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NewUser'
              example:
                message: User Created Successfully
                data:
                  _id: 5f43a9f4f36d287b3f9e6b4b
                  teamId: 5f43a9f4f36d287b3f9e6b3h
                  firstName: John
                  lastName: Doe
                  email: john.doe@example.com
                  password: securepassword123
                  createdAt: '2025-02-07T10:05:15.793Z'
                  updatedAt: '2025-02-07T10:05:15.793Z'
components:
  schemas:
    User:
      required:
        - firstName
        - lastName
        - email
        - password
      type: object
      properties:
        firstName:
          description: The first name of the user
          type: string
        lastName:
          description: The last name of the user
          type: string
        email:
          description: The email of the user
          type: string
        password:
          description: The password of the user
          type: string
    NewUser:
      allOf:
        - $ref: '#/components/schemas/User'
        - required:
            - id
          type: object
          properties:
            id:
              description: Identification number of the plant
              type: integer
              format: int64
            teamId:
              description: Team ID that the user belongs to
              type: integer
              format: int64
            createdAt:
              description: Date and time when the User was added to the store
              type: string
              format: date-time
            updatedAt:
              description: Date and time when the user was last updated
              type: string
              format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````